require 'rubygems'
require 'bundler'
Bundler.require

require "perkins"

Perkins.application do |app|
  config do |c|
    c.sse_endpoint         = ENV['ENDPOINT']
    c.port 		             = ENV['PORT']
    c.redis 		           = {host: "localhost"}
    c.database             = File.expand_path("../config/database.yml", __FILE__)
    c.github_client_id     = ENV['GITHUB_CLIENT_ID']
    c.github_client_secret = ENV['GITHUB_SECRET']
  end
end