require 'sidekiq/web'
require 'rack/protection'
require "./boot"

map '/' do
  run ::Perkins::Server.new
end

map '/sidekiq' do
  use Rack::Session::Pool, :key => 'session_id'
  use Rack::Protection
  use Rack::Protection::AuthenticityToken

  use Rack::Auth::Basic, "Protected Area" do |username, password|
    username == 'sidekiq' && password == 'sidekiq'
  end

  run Sidekiq::Web
end